export declare enum FileType {
    Unknown = 0,
    File = 1,
    Directory = 2,
    SymbolicLink = 3
}
export interface FilePermissions {
    readonly user: number;
    readonly group: number;
    readonly world: number;
}
/**
 * Describes a file, directory or symbolic link. Note that FTP file listings are not standardized. It depends
 * on the operating system of the FTP server how complete the information is.
 */
export declare class FileInfo {
    static Permission: {
        Read: number;
        Write: number;
        Execute: number;
    };
    name: string;
    type: FileType;
    size: number;
    permissions: FilePermissions;
    hardLinkCount: number;
    link: string;
    group: string;
    user: string;
    date: string;
    constructor(name: string);
    readonly isDirectory: boolean;
    readonly isSymbolicLink: boolean;
    readonly isFile: boolean;
}
